function ts = trialcluster (c, clu, tr)

% @CORTEX/TRIALCLUSTER  returns an array of time stamps for
%                       a cluster of spikes in a single trial
%
% TIMES = TRIALCLUSTER(COBJ,CLUST,TRIAL)
%    COBJ:  a @cortex object
%    CLUST: a spike cluster
%    TRIAL: a single trial from COBJ
%    TIMES: array of time stamps in ms for all recorded spikes
%
% Last modified: 27 Oct 04

% created on 24 Oct 04
% 27 Oct 04: cosmetics

if nargin~=3, error ('wrong number of arguments'); end
errifinvalidtrial (c, tr);
clid = findcluster (c, clu);
first = c.spike_start (tr, clid);
last  = c.spike_end   (tr, clid);
if first
   ts = double (c.spikes (first:last));
else
   ts = [];
end