function [X, Y] = trialeog (c, t)

% @CORTEX/TRIALEOG  vectors of eye positions from a single trial
%
%   [X,Y] = TRIALEOG(COBJ,TRIAL)  returns X and Y vectors of EOG values for
%   a single TRIAL from the COBJ @cortex object
%
%   XY = TRIALEOG(...) returns a 2-column matrix of side-by-side X and Y
%   values.
%
% Last modified: 25 Feb 06

errifinvalidtrial (c, t);
e = c.eog;
if e.dva==0, error ('@cortex object does not contain EOG data'); end
[X, Y] = raweyepos(c, t);
if nargout==1, X = [X Y]; end
