function [dense, inst] = density (spmat, kwidth, ktype)

% DENSITY spike density vector
%
%   *****************************************
%   DEPRECATED: USE MEANFIRINGDENSITY INSTEAD
%   *****************************************
%
%   DENSITY (SPMAT, KWIDTH, KTYPE) returns a smoothed spike-density vector computed
%   from the spikematrix SPMAT, with a kernel width of KWIDTH ms and of
%   type KTYPE (one of  'gauss', 'boxcar', 'epsp')
%
% Last modified: 18 Feb 06

% 13 Jun 99: can pass FRATES as argument
% 22 Feb 00: last line of code fixed according to Andrew's suggestion
% 22 May 00: fixed a small bug: sparr = double (spmat);
%  2 Jun 00: calling filter.m directly (bypassing conv.m);
%            if an odd window is requested, then window -= 1 (instead of +1);
%            if boxcar, increase window by 1 to get same kernel length
% 14 Jul 00: help text fixes
% 13 Nov 02: overloaded function
% 27 Oct 04: help text
% 18 Feb 06: function now obsolete: warning

if nargin ~= 3, error ('wrong number of arguments'); end
[dense, inst] = smoothfr (spmat, kwidth, ktype);
warning ('This function is obsolete and no longer supported')
disp ('Please use MEANFIRINGDENSITY instead')
