function readefs

%READEFS   reads default settings from 'giucode.def' text file
%          and stores them in global structure GiuCoDefaultValues
%
%Last modified: 03 Mar 06

% Created 07 Nov 04
% 03 Mar 06: trimwhitecomm allows comment at the end of a section header

d.general = [];
d.cortex  = [];
d.nex     = [];
d.spikes  = [];
d.eog     = [];
d.epp     = [];
d.touch   = [];
d.quickie = [];
d.cortview= [];
currsect = 'general';
ln=0;
f = openfile ('giucode.def', 'r');
while ~feof(f)
   li = lower (trimwhitecomm (fgetl (f)));
   ln = ln + 1;
   if isempty(li) | li(1)=='%', continue, end
   if li(1)=='['
      if li(end)~=']', error ('unmatched ''['' character in giucode.def'); end
      % this is a section header
      currsect = trimwhitecomm (li(2:end-1));
      if ~isfield (d, currsect), error ([li ' is an invalid giucode.def section header']); end
   else
      % this is a parameter line
      eval (['d.' currsect '.' li], ...
         ['error (''syntax error in giucode.def line ' num2str(ln) ''')']);
   end
end
fclose (f);   

global GiuCoDefaultValues
GiuCoDefaultValues = d;