function [b le] = bar (as, varargin)

%@FACTS/BAR  bar charts of mean values in @facts objects


if isnumvector (varargin{1})
	f = varargin{1};
	varargin{1}=[];
else
	f = 1:as.N;
end
if length (f) > 2
	error ('only 2 factors can be used in a bar chart');
end
[ct, mm, sd, se, gl] = descriptive(as, f);
b = bar (mm, varargin{:});
[g gn] = grp2idx (as.G{1});
set (gca, 'xticklabel', gn);
if as.N == 2
    [g gn] = grp2idx (as.G{2});
    le = legend (b, gn);
end

% as many gray levels as there are series
nser = size (mm, 2);
g = linspace (1, 0, nser);
for s=1:length(b)
    set (b(s), 'facecolor', [g(s) g(s) g(s)]);
end
