function [ct, mm, sd, se, gl] = descriptive (as, f)

%DESCRIPTIVE case count, mean, stdev, and stderr of a @fact object

if nargin<2
	r = 1:as.N;
else
	r = horzarray(f);
end

[tc gl] = dummies(as, r);
for j = 1:size(tc, 2)
   d = as.D(tc(:,j));
	ct(j) = length(d);
	if ct(j)
		mm(j) = mean (d);
		sd(j) = std (d);
		se(j) = stderr (d);
	else
		mm(j) = NaN;
		sd(j) = NaN;
		se(j) = NaN;
	end
end
ct = reshape (ct, gl);
mm = reshape (mm, gl);
sd = reshape (sd, gl);
se = reshape (se, gl);