function s = scatter (x, y, xlim, ylim, varargin)

% SCATTER  XY scatter plots
%   SCATTER (X,Y) plots X vs Y.
%
%   work in progress: syntax not final yet
%
% Last modified: 07 Mar 06

s = plot (x, y, 'ko');
if nargin > 2
   if isstring (xlim)
      axlim = setlims (x, xlim);
   else
      error (NOTnumvector (xlim));
      if length(xlim)==2
         axlim = xlim;
      elseif length(xlim) > 2
         axlim = [xlim(1) xlim(end)];
         set (gca, 'xtick', xlim);
      else
         error ('invalid XLIM parameter');
      end
   end
   if isstring (ylim)
      aylim = setlims (y, ylim);
   else
      error (NOTnumvector (ylim));
      if length(ylim)==2
         aylim = ylim;
      elseif length(ylim) > 2
         aylim = [ylim(1) ylim(end)];
         set (gca, 'ytick', ylim);
      else
         error ('invalid YLIM parameter');
      end
   end
   if nargin > 4
      for i=1:length(varargin)
         switch varargin{i}
            case 'square'
               axis square;
            case 'equal'
               axis equal;
            case 'same'
               axlim = [min(axlim(1),aylim(1)), max(axlim(2),aylim(2))];
               aylim = axlim;
            case 'grid'
               grid on;
            otherwise
               error ('invalid optional parameter')
         end
      end
   end
   set (gca, 'xlim', axlim, 'ylim', aylim);
end
return

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function alim = setlims (data, lim)
ami = findautolim (min(min(data)));
ama = findautolim (max(max(data)));
switch minifield(lim)
   case 'aut'
      alim = [ami ama];
   case 'zer'
      alim = [ami ama];
      if ami > 0
         alim(1) = 0;
      end
      if ama < 0
         alim(2) = 0;
      end
   case 'sym'
      mm = max (abs(ami), abs(ama));
      alim = [-mm mm];
   otherwise
      error ('invalid string value for LIM parameter');
end
return

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function av = findautolim (v)
tlim = [1 2 5 10];
f = min (find (abs(v) < tlim));
if isempty (f)
   av = ceil(abs(v)/10)*10;
else
   av = tlim (f);
end
if v<0, av = -av; end
return

